# -*- coding: utf-8 -*-

# import os, sys
#
# MultiviewPlatform documentation build configuration file, created by
# sphinx-quickstart on Mon Jan 29 17:13:09 2018.
#
# This file is execfile()d with the current directory set to its
# containing dir.
#
# Note that not all possible configuration values are present in this
# autogenerated file.
#
# All configuration values have a default; values that are commented out
# serve to show the default.

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#
import os
import sys
import sphinx_rtd_theme

repo_path = os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

sys.path.insert(0, os.path.abspath('.'))
sys.path.insert(0, os.path.join(repo_path, "summit'"))
sys.path.insert(0, repo_path)

# sys.path.insert(0, os.path.abspath(os.path.join(os.path.dirname(file_loc), '.')))
# import summit
# -- General configuration ------------------------------------------------

# If your documentation needs a minimal Sphinx version, state it here.
#
# needs_sphinx = '1.0'

add_module_names = False

# sys.path.append(os.path.abspath('sphinxext'))

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = ['sphinx.ext.autodoc',
              'sphinx.ext.extlinks',
                'sphinx_rtd_theme',
#              'sphinx.ext.doctest',
#              'sphinx.ext.intersphinx',
#              'sphinx.ext.todo',
#              'nbsphinx',
             'sphinx.ext.coverage',
             'sphinx.ext.imgmath',
#              'sphinx.ext.mathjax',
#              'sphinx.ext.ifconfig',
#              'sphinx.ext.viewcode',
#              'sphinx.ext.githubpages',
               'sphinx.ext.napoleon',
                'autoapi.extension'
              ]

autoapi_type = 'python'
autoapi_dirs = [os.path.join(repo_path, "summit", "multiview_platform", "monoview_classifiers", ""),
                os.path.join(repo_path, "summit", "multiview_platform", "multiview_classifiers", "")]
autoapi_options = ["members", "show-module-summary", 'undoc-members']
autoapi_ignore = ["*additions*"]
autoapi_keep_files = False
auto_api_add_toctree_entry = False
autoapi_template_dir = os.path.join(repo_path, "docs", "source", "templates_autoapi")
# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates', 'templates_autoapi']

# The suffix(es) of source filenames.
# You can specify multiple suffix as a list of string:
#
source_suffix = {'.rst': 'restructuredtext', '.md': 'markdown'}
# source_suffix = '.rst'
# source_suffix = ['.rst', '.md']

# source_parsers = {
#  '.md': CommonMarkParser,
# }

# The master toctree document.
master_doc = 'index'
html_logo = "logo_summit.png"


# General information about the project.
project = u'SuMMIT'
copyright = u'2019, Baptiste BAUVIN'
author = u'Baptiste BAUVIN'

# The version info for the project you're documenting, acts as replacement for
# |version| and |release|, also used in various other places throughout the
# built documents.
#
# The short X.Y version.
version = u'0.0.0'
# The full version, including alpha/beta/rc tags.
release = u'0'

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = None

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This patterns also effect to html_static_path and html_extra_path
exclude_patterns = []

# The name of the Pygments (syntax highlighting) style to use.
pygments_style = 'sphinx'

# If true, `todo` and `todoList` produce output, else they produce nothing.
todo_include_todos = True

# -- Options for HTML output ----------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
html_theme = 'sphinx_rtd_theme'
# html_theme = 'classic'
# html_theme = 'groundwork'

# Theme options are theme-specific and customize the look and feel of a theme
# further.  For a list of options available for each theme, see the
# documentation.
#
# html_theme_options = {}

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ["_static"]

# -- Options for HTMLHelp output ------------------------------------------

# Output file base name for HTML help builder.
htmlhelp_basename = 'SuMMITdoc'

# -- Options for LaTeX output ---------------------------------------------

latex_elements = {
    # The paper size ('letterpaper' or 'a4paper').
    #
    # 'papersize': 'letterpaper',

    # The font size ('10pt', '11pt' or '12pt').
    #
    # 'pointsize': '10pt',

    # Additional stuff for the LaTeX preamble.
    #
    # 'preamble': '',

    # Latex figure (float) alignment
    #
    # 'figure_align': 'htbp',
}

# Grouping the document tree into LaTeX files. List of tuples
# (source start file, target name, title,
#  author, documentclass [howto, manual, or own class]).
latex_documents = [
    (master_doc, 'SuMMIT.tex', u'SuMMIT Documentation',
     u'Baptiste BAUVIN', 'manual'),
]

# -- Options for manual page output ---------------------------------------

# One entry per manual page. List of tuples
# (source start file, name, description, authors, manual section).
man_pages = [
    (master_doc, 'summit', u'SuMMIT Documentation',
     [author], 1)
]

# -- Options for Texinfo output -------------------------------------------

# Grouping the document tree into Texinfo files. List of tuples
# (source start file, target name, title, author,
#  dir menu entry, description, category)
texinfo_documents = [
    (master_doc, 'SuMMIT', u'SuMMIT Documentation',
     author, 'SuMMIT', 'One line description of project.',
     'Miscellaneous'),
]

# Example configuration for intersphinx: refer to the Python standard library.
intersphinx_mapping = {'https://docs.python.org/': None}

# def setup(app):
#     app.add_config_value('recommonmark_config', {
#             'auto_toc_tree_section': 'Contents',
#             }, True)
#     app.add_transform(AutoStructify)
rst_prolog = """
.. role:: python(code)
    :language: python

.. role:: yaml(code)
    :language: yaml
    
.. role:: mod(code)
    :language: python
    
.. |platf| replace:: SuMMIT

.. |HP| replace:: hyper-parameter

.. |HPO| replace:: hyper-parameters optimization
"""


extlinks = {'base_source': ('https://gitlab.lis-lab.fr/baptiste.bauvin/summit/-/tree/master/%s', "_"),
            'base_doc': ('http://baptiste.bauvin.pages.lis-lab.fr/summit/%s', '_')}



html_js_files = [
    'plotly_js.js',
]